> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Phone Check 3E

> This interface is used to verify the authenticity and consistency of mobile phone numbers, names, and ID numbers. For details about the supported phone number segments, see the carrier documents.



## OpenAPI

````yaml /openapi/identity.json post /identity/phone/check-3e
openapi: 3.0.0
info:
  title: Identity Authentication
  version: 1.0.0
  description: API reference for Identity Authentication on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /identity/phone/check-3e:
    post:
      summary: Phone Check 3E
      description: >-
        This interface is used to verify the authenticity and consistency of
        mobile phone numbers, names, and ID numbers. For details about the
        supported phone number segments, see the carrier documents.
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
              - application/x-ndjson
            type: string
          required: false
          description: Identity Phone Check 3E Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - id_card
                - name
                - phone
              properties:
                iv:
                  type: string
                  description: Identity Phone Check 3E Iv
                name:
                  type: string
                  description: Identity Phone Check 3E Name
                phone:
                  type: string
                  description: Identity Phone Check 3E Phone
                id_card:
                  type: string
                  description: Identity Phone Check 3E Id Card
                verify_mode:
                  type: string
                  description: Identity Phone Check 3E Verify Mode
                encrypt_list:
                  type: array
                  items:
                    type: string
                  description: Identity Phone Check 3E Encrypt List
                ciphertext_blob:
                  type: number
                  description: Identity Phone Check 3E Ciphertext Blob
            example:
              name: John Doe
              phone: '13800138000'
              id_card: '110101199001011234'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  isp:
                    type: string
                    description: Identity Phone Check 3E Response 200 Isp
                  result:
                    type: string
                    description: Identity Phone Check 3E Response 200 Result
                  description:
                    type: string
                    description: Identity Phone Check 3E Response 200 Description
                  result_detail:
                    type: string
                    description: Identity Phone Check 3E Response 200 Result Detail
          description: Identity Phone Check 3E Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Identity Phone Check 3E Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Identity Phone Check 3E Response 400 Error Message
                      trace_id:
                        type: string
                        description: Identity Phone Check 3E Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Identity Phone Check 3E Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: >-
                              Identity Phone Check 3E Response 400 Error Message
                              2
                      trace_id:
                        type: string
                        description: Identity Phone Check 3E Response 400 Trace Id 2
          description: Identity Phone Check 3E Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Identity Phone Check 3E Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Identity Phone Check 3E Response 401 Error Message
                      trace_id:
                        type: string
                        description: Identity Phone Check 3E Response 401 Trace Id
          description: Identity Phone Check 3E Response 401
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Identity Phone Check 3E Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Identity Phone Check 3E Response 429 Error Message
                      trace_id:
                        type: string
                        description: Identity Phone Check 3E Response 429 Trace Id
          description: Identity Phone Check 3E Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Identity Phone Check 3E Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Identity Phone Check 3E Response 500 Error Message
                      trace_id:
                        type: string
                        description: Identity Phone Check 3E Response 500 Trace Id
          description: Identity Phone Check 3E Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````